Subject: Re: bug#20943: 25.0.50; Dired buffers are not always auto-reverterd

From: Michael Albinus <[email-masked]>
Date: Wed, 01 Jul 2015 07:58:22 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Mark Karpov <[email-masked]>
>> Date: Wed, 01 Jul 2015 00:19:36 +0600
>> 
>> I'm using ‘global-auto-revert-mode’ setting variable
>> ‘global-auto-revert-non-file-buffers’ to t, like this:
>> 
>>   (setq global-auto-revert-non-file-buffers t)
>>   (global-auto-revert-mode                  1)
>> 
>> As far as I know, this is normal way to make Dired automatically
>> redisplay its buffer when contents of target directory are
>> changed. However, it doesn't always work. In some cases Dired buffer is
>> updated just fine, but there are also times when changes in target
>> directory don't cause redisplaying.
>> 
>> Is it a known problem? Can it be fixed? If it's a problem unique to my
>> machine (I doubt it, though) I can give your more information.
>
> Does it happen with some specific type of directories, like those
> mounted in some special way?

Furthermore, which kind of changes of the directory are you referring
to? Reading `dired-buffer-stale-p', the dired buffer shall be reverted
only if there is a new file in the directory, or a file is removed. Just
changing (the timestamp of) a file in the directory shall not revert the
dired buffer.

A second thought: auto-reverting dired buffers has been changed to use
file notifications. Does it make a difference, when you eval the form
(setq auto-revert-use-notify nil) ?

Best regards, Michael.